# ApiMetric Data Model

A metric represents a specific metric monitored by the Cloudera Management Services, and a list of values matching a user query.

These fields are available only in the "full" view:

- displayName
- description

Properties
name | data type | description
--- | --- | ---
name | string | Name of the metric.
context | string | Context the metric is associated with.
unit | string | Unit of the metric values.
data | array of ApiMetricData | List of readings retrieved from the monitors.
displayName | string | Requires "full" view. User-friendly display name for the metric.
description | string | Requires "full" view. Description of the metric.

Example

    {
      "name" : "...",
      "context" : "...",
      "unit" : "...",
      "data" : [ {
        "timestamp" : "...",
        "value" : 12345.0
      }, {
        "timestamp" : "...",
        "value" : 12345.0
      } ],
      "displayName" : "...",
      "description" : "..."
    }